# MeiliSearch

From ArchWiki
Jump to navigation Jump to search
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.

An open source, blazingly fast and hyper relevant search-engine that will improve your search experience. - MeiliSearch homepage

## Installation

Install the meilisearch package.

### Bindings

- Python: python-meilisearch

## Usage

Start and enable `meilisearch.service`.

## Configuration

The main MeiliSearch configuration file is located at `/etc/meilisearch.conf`.

- When launching an instance, you have the option of giving a master key. By doing so, all routes will be protected and will require a key to be accessed:

    MEILI_MASTER_KEY=MySecretMasterKey

- By default MeiliSearch collects usage data, to opt-out set:

    MEILI_NO_ANALYTICS=yes

Note: See the MeiliSearch documentation for option details.
Category:

- Database management systems